using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace SelectPdf.Samples.Pages
{
    public class ModifyExistingPdfModel : PageModel
    {
        public void OnGet()
        {

        }

        public IActionResult OnPost()
        {
            // the initial file
            string file = Startup.ServerPath + @"\wwwroot\files\doc1.pdf";

            // load the pdf document
            PdfDocument doc = new PdfDocument(file);

            // add a new page to the document
            PdfPage page = doc.AddPage();

            // create a new pdf font (component standard font)
            PdfFont font = doc.AddFont(PdfStandardFont.Helvetica);
            font.Size = 20;

            // create text element and add it to the new page
            PdfTextElement text = new PdfTextElement(100, 100,
                "Sample text added to an existing pdf document.", font);
            page.Add(text);

            // save pdf document
            byte[] pdf = doc.Save();

            // close pdf document
            doc.Close();

            // return resulted pdf document
            FileResult fileResult = new FileContentResult(pdf, "application/pdf");
            fileResult.FileDownloadName = "Document.pdf";
            return fileResult;

        }
    }
}